org.richfaces.fragment.orderingList

## Class AbstractOrderingList.AdvancedOrderingListInteractions

- java.lang.Object
- - org.richfaces.fragment.orderingList.AbstractOrderingList.AdvancedOrderingListInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Direct Known Subclasses:
    RichFacesOrderingList.AdvancedRichOrderingListInteractions, RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions
  Enclosing class:
    AbstractOrderingList

      public abstract class AbstractOrderingList.AdvancedOrderingListInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOrderingList.AdvancedOrderingListInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.openqa.selenium.WebElement` | `getBottomButtonElement()`
    `abstract org.openqa.selenium.WebElement` | `getCaptionElement()`
    `abstract org.openqa.selenium.WebElement` | `getContentAreaElement()`
    `abstract org.openqa.selenium.WebElement` | `getDownButtonElement()`
    `abstract org.openqa.selenium.WebElement` | `getHeaderElement()`
    `abstract List<org.openqa.selenium.WebElement>` | `getItemsElements()`
    `abstract ListComponent<? extends SelectableListItem>` | `getList()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `abstract List<org.openqa.selenium.WebElement>` | `getSelectedItemsElements()`
    `protected abstract String` | `getStyleForSelectedItem()`
    `abstract org.openqa.selenium.WebElement` | `getTopButtonElement()`
    `abstract org.openqa.selenium.WebElement` | `getUpButtonElement()`
    `boolean` | `isVisible()`
    `OrderingInteraction` | `select(Integer index, Integer... otherIndexes)`
    `OrderingInteraction` | `select(MultipleChoicePicker picker)`
    `OrderingInteraction` | `select(String visibleText, String... otherTexts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOrderingList.AdvancedOrderingListInteractions

          public AbstractOrderingList.AdvancedOrderingListInteractions()

  - ### Method Detail

    - #### getBottomButtonElement

          public abstract org.openqa.selenium.WebElement getBottomButtonElement()

    - #### getCaptionElement

          public abstract org.openqa.selenium.WebElement getCaptionElement()

    - #### getDownButtonElement

          public abstract org.openqa.selenium.WebElement getDownButtonElement()

    - #### getHeaderElement

          public abstract org.openqa.selenium.WebElement getHeaderElement()

    - #### getItemsElements

          public abstract List<org.openqa.selenium.WebElement> getItemsElements()

    - #### getList

          public abstract ListComponent<? extends SelectableListItem> getList()

    - #### getContentAreaElement

          public abstract org.openqa.selenium.WebElement getContentAreaElement()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getSelectedItemsElements

          public abstract List<org.openqa.selenium.WebElement> getSelectedItemsElements()

    - #### getStyleForSelectedItem

          protected abstract String getStyleForSelectedItem()

    - #### getTopButtonElement

          public abstract org.openqa.selenium.WebElement getTopButtonElement()

    - #### getUpButtonElement

          public abstract org.openqa.selenium.WebElement getUpButtonElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### select

          public OrderingInteraction select(String visibleText,
                                   String... otherTexts)

    - #### select

          public OrderingInteraction select(Integer index,
                                   Integer... otherIndexes)

    - #### select

          public OrderingInteraction select(MultipleChoicePicker picker)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.